Subject: Re: [alpine-devel] Should we drop armhf (armv6) support with 3.10 release?

From: Corvin Wimmer <[email-masked]>
Date: Sun, 07 Apr 2019 09:44:18 +0000

> On 4. Apr 2019, at 16:25, Natanael Copa <[email-masked]> wrote:
> 
> Hi,
> 
> I wonder if can drop armhf (armv6) support with the 3.10 release, now
> that we have armv7?
> 
> In practice it means that we no longer support Raspberry PI 1 and Zero.
> 
> We will still support those with alpine v3.9 for another year.
> 
> I believe dropping armhf (armv6) will save some resources when it comes
> to managing build servers, disk space, spending time on fixing armhf
> specific problems.
> 
> We may also optimize the vanilla kernel better for armv7, which
> currently uses same config as armv6.
> 
> What do you think, can we drop armhf for v3.10 or should we wait til
> v3.11?
> 
> -nc
> 
> 
> ---
> Unsubscribe:  [email-masked]
> Help:         [email-masked]
> ---
> 

Dear Nathanael, Alpine developers and users,

We have been happily using the armhf / armv6 images for our project after switching from Raspbian for 6 months now. 

The fact that Alpine is so lightweight and able to run from RAM makes it a perfect fit for SBCs and other embedded low-powered devices. We find it especially convenient that an identical image can be built for every Raspberry Pi on the market.

Honestly, the roadmap has taken us by surprise and we might not have chosen Alpine had we known that support for Raspberry Zero was being dropped this soon.

We fully understand that Alpine has limited resources and you want to focus where it matters. 

In my humble opinion, it would be wonderful to see support for alternative architectures such as ARM and RISC be increased rather than reduced. 

Alpine has been a breath of fresh air and we would very much like to continue building on top of this unique distribution. We are fully committed to Alpine and plan to upstream patches to installation scripts and continue to help improve Raspberry support where we can.

Please let me know if there are specific resources the project is worried about where we could help. I would be delighted to continue working with Alpine for as long as possible. 

In any case, I’d like to extend my thanks to you and the other developers for their contributions.

Regards,
Corvin Wimmer

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---